### Type Parameters

### Hierarchy

- ngeoQueryOptions

## Index

### Properties

- bboxAsGETParam
- cursorHover
- featureNS
- featurePrefix
- geometryName
- limit
- queryCountFirst
- sourceIdsProperty
- tolerance
- toleranceTouch

## Properties

### bboxAsGETParam

bboxAsGETParam: boolean

- Defined in src/options.js:193

Pass the queried bbox as a parameter of the GET query on WFS requests.

### cursorHover

cursorHover: boolean

- Defined in src/options.js:192

### featureNS

featureNS: string

- Defined in src/options.js:188

The feature namespace for WFS GetFeature requests.

### featurePrefix

featurePrefix: string

- Defined in src/options.js:190

The feature prefix for WFS GetFeature requests.

### geometryName

geometryName: string

- Defined in src/options.js:191

The name of the geometry property for WFS GetFeature requests.

### limit

limit: number

- Defined in src/options.js:176

The maximum number of records per request the query service should ask. Note that sources sharing the same URL are combined together in a single request. This limit will still apply to those.

### queryCountFirst

queryCountFirst: boolean

- Defined in src/options.js:179

For WFS sources, should the number of features first be requested with `resultType=hits` before requesting the actual features in an seconds request?

### sourceIdsProperty

sourceIdsProperty: string

- Defined in src/options.js:181

Defines the name of the layer property that holds the ids of the sources. Use this if you have more than one source bound to a layer.

### tolerance

tolerance: number

- Defined in src/options.js:184

When issuing an identify feature request at a click position, either a WMS GetFeatureInfo or a WFS GetFeature request will be used. For GetFeature requests a bbox is built around the position. This `tolerance` in pixel determines the minimal size of the bbox.

### toleranceTouch

toleranceTouch: number

- Defined in src/options.js:187

Same as `tolerance` but for touch devices.

Generated using TypeDoc